Skip to content
DELETE/{organizationId}/finance/accounting/accounts

Delete accounts

Deletes multiple accounts from the accounting plan if they are not yet attached in receipts etc

Required permissions:

  • accountingPlan.remove

Path Parameters

organizationIdstringrequired

Query Parameters

Authentication: X-API-Key

Request

DELETE/{organizationId}/finance/accounting/accounts
curl --request DELETE 'https://cloud.campai.com/api/{organizationId}/finance/accounting/accounts?accountNumbers=%5B1%5D' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

accountNumberintegerrequired

minimum: 1

maximum: 999999999

errorstringrequired

Response

200
[
  {
    "accountNumber": 1,
    "error": "string"
  }
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}